Subject: Re: C++ and SWI Compilation problem

From: Jan Wielemaker <[email-masked]>
Date: Tue, 27 Jul 1999 10:03:13 +0200

On Tue, 27 Jul 1999, ÐÝôñïò ÔóÝëéïò wrote:
>Hallo again,
>I still have the compilation problem. After a big problem (I could not
>compile form the the VC environment) and a new HD format, I made all the
>necessary changes in my autoexec.bat file and here are the results:
>--------------------------------------------------------------------------
>--------------------------------------
>C:\Langs\pl\bin>plld -v -o calc.cpp calc.pl
>        eval `plcon.exe -dump-runtime-variables`
>                CC="cl"
>                PLBASE="c:/langs/pl"
>                PLARCH="i386-win32"
>                PLLIBS=""
>                PLLDFLAGS=""
>        LIB=c:\langs\pl\lib;\LIB;\MFC\LIB;;C:\Langs\pl\lib
>
>        link.exe /out:ctmp--2094945  /nologo libpl.lib
>Bad command of filename

Suggests it can't find link.exe.  Is you PATH setup correctly?
Try running link.exe directly from the commandline.
Also, you've got no C++ input files as calc.cpp is the argument
to the -o output switch.  So the command should be

plld -v -o calc.exe calc.cpp calc.pl

	--- Jan